# Class: probe&#95;result

A set of properties that describe one result element of SR.probe. Result elements and properties can change dynamically based on changes to the the SR.probe input&#45;parameters or the target.

## Fields for class: probe&#95;result

|Field               |Type                |Qualifier      |Description                             |
|:-------------------|:-------------------|:--------------|:---------------------------------------|
|`complete`          |`bool`              |_RO/runtime_   |True if this configuration is complete and can be used to call SR.create. False if it requires further iterative calls to SR.probe, to potentially narrow down on a configuration that can be used.|
|`configuration`     |`(string -> string) map`|_RO/runtime_   |Plugin&#45;specific configuration which describes where and how to locate the storage repository. This may include the physical block device name, a remote NFS server and path or an RBD storage pool.|
|`extra_info`        |`(string -> string) map`|_RO/runtime_   |Additional plugin&#45;specific information about this configuration, that might be of use for an API user. This can for example include the LUN or the WWPN.|
|`sr`                |`sr_stat record option`|_RO/runtime_   |Existing SR found for this configuration|

## RPCs associated with class: probe&#95;result

Class probe&#95;result has no RPCs associated with it.
